import request from "@/utils/request"

export function getDialysisScheduals(params) {
    return request({
        url: "/m/api/scheduals",
        method: "get",
        params: params,
    })
}

export function getWaitingScheduals(params) {
    return request({
        url: "/m/api/waiting_scheduals",
        method: "get",
        params: params,
    })
}

export function getDialysisRecord(params) {
    return request({
        url: "/m/api/dialysis/record",
        method: "get",
        params: params,
    })
}

export function dialysisGlobalConfig() {
    return request({
        url: "/m/api/dialysisglobalconfig",
        method: "get",
    })
}



export function commitTreatmentSummary(params) {
  return request({
    url: "/m/api/dialysis/treatmentSummary",
    method: "post",
    params: params,

  })
}

export function commitDoubleCheck(params) {
  return request({
    url: "/m/api/dialysis/doublecheck",
    method: "post",
    params: params,


  })
}



export function commitAcceptsAssessment(params) {
  return request({
    url: "/m/api/dialysis/acceptsAssessment",
    method: "post",
    params: params,

  })
}


export function finish(params) {
  return request({
    url: "/m/api/dialysis/finish",
    method: "post",
    params: params,
  })
}




export function commitDialysisPrescription(params) {
  console.log(params)
  return request({
    url: "/m/api/dialysis/dialysisPrescription",
    method: "post",
    params: params,
  })
}


export function commitAssessmentAfterDislysis(params) {
  return request({
    url: "/m/api/dialysis/assessmentAfterDislysis",
    method: "post",
    params: params,
  })
}

export function addMonitorRecord(params) {
  return request({
    url: "/m/api/monitor/add",
    method: "post",
    params: params,
  })
}

export function editMonitorRecord(params) {
  return request({
    url: "/m/api/monitor/edit",
    method: "post",
    params: params,
  })
}

export function deleteMonitorRecord(params) {
  return request({
    url: "/m/api/monitor/delete",
    method: "post",
    params: params,
  })
}

export function GetAllZone(params){
  return request({
    url:'/m/api/dialysis/allzone',
    method:'get',
    params:params
  })
}

export function getSchedualPatient(params){
  return request({
    url:'/m/api/dialysis/patients',
    method:'get',
    params:params
  })
}

export function postSolution(params){
  return request({
    url:'/m/api/solution',
    method:'post',
    params:params
  })
}


export function startDialysis(params){
  return request({
    url:'/m/api/dialysis/start',
    method:'post',
    params:params
  })
}


export function getLastAccepts(params){
  return request({
    url:'/m/api/accepts/get',
    method:'get',
    params:params
  })
}

export function getPrintDialysisRecord(params) {
  return request({
    url:'/m/api/print/dialysisorder',
    method:'Get',
    params:params
  })
}

export function getUrgentScheduleInitData() {
  return request({
    url: '/m/api/schedule/urgentinit',
    method: 'Get',
  })
}

export function postUrgentSchedule(params) {
  return request({
    url: '/m/api/schedule/urgentadd',
    method: 'post',
    params: params,
  })
}

export function postSign(params) {
  return request({
    url: '/m/api/dialysis/sign',
    method: 'Post',
    params:params

  })
}





export function GetMonitor(params){
  return request({
    url:'/m/api/monitor/get',
    method:'get',
    params:params
  })
}
